Summary:	Microcode definitions for Intel processors
Summary(pl.UTF-8):	Definicje mikrokodu dla procesorów Intela
Name:		microcode-data-intel
Version:	20191115
Release:	1
License:	INTEL SOFTWARE LICENSE AGREEMENT
Group:		Base
Source0:	https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files/archive/microcode-%{version}.tar.gz
# Source0-md5:	49cc3595934772b54b6218f8dbe64a94
BuildRequires:	iucode-tool
Provides:	microcode-data
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The microcode data file for Linux contains the latest microcode
definitions for all Intel processors.

%description -l pl.UTF-8
Te pliki danych mikrokodu dla Linuksa zawierają najnowsze definicje
mikrokodu dla procesorów Intela.

%package initrd
Summary:	Microcode for initrd
Summary(pl.UTF-8):	Mikrokod dla initrd
Group:		Base

%description initrd
Intel microcode for initrd.

%description initrd -l pl.UTF-8
Mikrokod dla procesorów Intel dla initrd.

%prep
%setup -q -n Intel-Linux-Processor-Microcode-Data-Files-microcode-%{version}

%build
%{_sbindir}/iucode_tool intel-ucode*/*-* -tb --write-to=microcode.bin

install -d kernel/x86/microcode
ln microcode.bin kernel/x86/microcode/GenuineIntel.bin
echo kernel/x86/microcode/GenuineIntel.bin | cpio -o -H newc -R 0:0 > intel-ucode.img

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib/firmware,/boot}

cp -a intel-ucode $RPM_BUILD_ROOT/lib/firmware
cp -p intel-ucode.img $RPM_BUILD_ROOT/boot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc releasenote
/lib/firmware/intel-ucode

%files initrd
%defattr(644,root,root,755)
%doc releasenote
/boot/intel-ucode.img
%changelog
* Sat Nov 16 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/microcode-data-intel.git;a=log;h=master

* Sat Nov 16 2019 Jan Palus <atler@pld-linux.org> dea2e98
- up to 20191115

* Thu Nov 14 2019 Jan Palus <atler@pld-linux.org> abf1710
- up to 20191113

* Tue Nov 12 2019 Jan Palus <atler@pld-linux.org> e9f19a5
- up to 20191112

* Wed Sep 18 2019 Jan Palus <atler@pld-linux.org> 33da721
- up to 20190918

* Wed Jun 19 2019 Jan Palus <atler@pld-linux.org> 8f0e22c
- up to 20190618

* Sat May 18 2019 Jan Palus <atler@pld-linux.org> e327e9b
- up to 20190514a

* Wed May 15 2019 Jakub Bogusz <qboosh@pld-linux.org> fd284e4
- defattr before doc

* Tue May 14 2019 Jan Palus <atler@pld-linux.org> c7d4fcb
- up to 20190514

* Sat Apr 20 2019 Jan Palus <atler@pld-linux.org> d56708e
- up to 20190312

* Thu Aug 30 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 38d2802
- up to 20180807a

* Wed Aug 08 2018 Jan Palus <atler@pld-linux.org> 0024e5d
- up to 20180807

* Tue Jul 24 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 05dd812
- up to 20180703

* Fri May 25 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c7a88d
- fix url

* Fri May 25 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a1e9f3
- up to 20180425

* Wed Mar 14 2018 Jan Palus <atler@pld-linux.org> 12031e3
- up to 20180312

* Mon Feb 19 2018 Jan Rękorajski <baggins@pld-linux.org> 36712ef
- don't hide output from intel-microcode2ucode tools

* Fri Jan 12 2018 Elan Ruusamäe <glen@pld-linux.org> b7f6af2
- use https url

* Tue Jan 09 2018 Jan Palus <atler@pld-linux.org> e7ade0a
- 20180108: microcode update to fix spectre and meltdown bugs

* Mon Nov 27 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 4806c0f
- up to 20171117

* Sat Sep 09 2017 Elan Ruusamäe <glen@pld-linux.org> e168b89
- re-entrant install

